package com.ruoyi.doubledefense.dto.res;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.GnhzBaseEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;
import java.util.Date;

/**
 * 隐患排查任务清单对象 tb_check_task_inventory
 * 
 * @author ruoyi
 * @date 2023-08-03
 */
@ApiModel("隐患排查任务清单")
public class CheckTaskInventoryResultDTO implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 主键UUID */
    private String id;

    /** 隐患排查任务UUID */
    @ApiModelProperty("隐患排查任务UUID")
    @Excel(name = "隐患排查任务UUID")
    private String checkTaskId;

    /** 开始时间 */
    @ApiModelProperty("开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startDate;

    /** 结束时间 */
    @ApiModelProperty("结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /** 排查状态：0未排查，1已排查 */
    @ApiModelProperty("排查状态：0未排查，1已排查")
    @Excel(name = "排查状态：0未排查，1已排查")
    private Long status;

    @ApiModelProperty("隐患排查内容")
    @Excel(name = "隐患排查内容")
    private String troubleshootContent;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCheckTaskId() {
        return checkTaskId;
    }

    public void setCheckTaskId(String checkTaskId) {
        this.checkTaskId = checkTaskId;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Long getStatus() {
        return status;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public String getTroubleshootContent() {
        return troubleshootContent;
    }

    public void setTroubleshootContent(String troubleshootContent) {
        this.troubleshootContent = troubleshootContent;
    }
}
